Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Typedefs | Functions
testing::internal::posix Namespace Reference

## Typedefs
typedef struct stat | StatStruct

## Functions
int | FileNo (FILE *file)
int | IsATTY (int fd)
int | Stat (const char *path, StatStruct *buf)
int | StrCaseCmp (const char *s1, const char *s2)
char * | StrDup (const char *src)
int | RmDir (const char *dir)
bool | IsDir (const StatStruct &st)
const char * | StrNCpy (char *dest, const char *src, size_t n)
int | ChDir (const char *dir)
FILE * | FOpen (const char *path, const char *mode)
FILE * | FReopen (const char *path, const char *mode, FILE *stream)
FILE * | FDOpen (int fd, const char *mode)
int | FClose (FILE *fp)
int | Read (int fd, void *buf, unsigned int count)
int | Write (int fd, const void *buf, unsigned int count)
int | Close (int fd)
const char * | StrError (int errnum)
const char * | GetEnv (const char *name)
void | Abort ()

## Typedef Documentation

typedef struct stat StatStruct

## Function Documentation

void Abort | ( |  | ) |
| inline

int ChDir | ( | const char * | dir | ) |
| inline

int Close | ( | int | fd | ) |
| inline

int FClose | ( | FILE * | fp | ) |
| inline

FILE * FDOpen | ( | int | fd,
|  | const char * | mode
| ) |  |
| inline

int FileNo | ( | FILE * | file | ) |
| inline

FILE * FOpen | ( | const char * | path,
|  | const char * | mode
| ) |  |
| inline

FILE * FReopen | ( | const char * | path,
|  | const char * | mode,
|  | FILE * | stream
| ) |  |
| inline

const char * GetEnv | ( | const char * | name | ) |
| inline

int IsATTY | ( | int | fd | ) |
| inline

bool IsDir | ( | const StatStruct & | st | ) |
| inline

int Read | ( | int | fd,
|  | void * | buf,
|  | unsigned int | count
| ) |  |
| inline

int RmDir | ( | const char * | dir | ) |
| inline

int Stat | ( | const char * | path,
|  | StatStruct * | buf
| ) |  |
| inline

int StrCaseCmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |
| inline

char * StrDup | ( | const char * | src | ) |
| inline

const char * StrError | ( | int | errnum | ) |
| inline

const char * StrNCpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |
| inline

int Write | ( | int | fd,
|  | const void * | buf,
|  | unsigned int | count
| ) |  |
| inline